Bug 141713 - Libglade-java no longer sets up signal handlers correctly
Libglade-java no longer sets up signal handlers correctly
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libglade-java (Show other bugs)
rawhide
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Ben Konrath
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-02 23:11 EST by W. Michael Petullo
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-14 10:46:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Java source code for Edit application. (4.19 KB, text/plain)
2004-12-02 23:12 EST, W. Michael Petullo
no flags Details
GLADE description for Edit application. (12.83 KB, text/plain)
2004-12-02 23:12 EST, W. Michael Petullo
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 161190 None None None Never

  None (edit)
Description W. Michael Petullo 2004-12-02 23:11:07 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux ppc; en-US; rv:1.7.3)
Gecko/20041027 Epiphany/1.4.4

Description of problem:
Trying to run a Java application results in the following error messages:

[mike@imp gnome-java]$ ./Edit
java.lang.reflect.InvocationTargetException: ListenerDelegate.create
failure
java.lang.reflect.InvocationTargetException: ListenerDelegate.create
failure

The application loads fine but none of the signal handlers work.

Libglade-java-2.8.1-2 works fine.

Version-Release number of selected component (if applicable):
libglade-java-2.8.2-1

How reproducible:
Always

Steps to Reproduce:
Build and execute the attached Java application.  Build with:

gcj
--CLASSPATH=/usr/share/java/gtk2.4.jar:/usr/share/java/gnome2.8.jar:/usr/share/java/glade2.8.jar
-lgtkjar2.4 -lgnomejar2.8 -lgladejar2.8 -o Edit --main=Edit Edit.java

Ensure that Edit.glade is in the CWD when executing Edit.

Additional info:
Comment 1 W. Michael Petullo 2004-12-02 23:12:06 EST
Created attachment 107817 [details]
Java source code for Edit application.
Comment 2 W. Michael Petullo 2004-12-02 23:12:45 EST
Created attachment 107818 [details]
GLADE description for Edit application.
Comment 3 Thomas Fitzsimmons 2004-12-02 23:16:28 EST
Can you have a look at this Ben?
Comment 4 Ben Konrath 2004-12-03 00:32:29 EST
yeah, no problem.
Comment 5 Ben Konrath 2004-12-13 22:41:35 EST
Ok, I tracked this down to an upstream issue. I've rolled a new rpm with the
patch that should fix this issue. Could you please test this? I've put the new
rpm in my repo so you'll have to change your yum.conf to point to:

[java-gnome]
name=bkonrath's Java-GNOME RPMs
baseurl=http://people.redhat.com/bkonrath/java-gnome/i386/
Comment 6 Ben Konrath 2004-12-13 22:53:30 EST
Sorry, you probably want the ppc repo:

[java-gnome]
name=bkonrath's Java-GNOME RPMs
baseurl=http://people.redhat.com/bkonrath/java-gnome/ppc/
Comment 7 W. Michael Petullo 2004-12-13 23:34:56 EST
Ben's RPM seems to fix this.  All's well with:

libgtk-java-2.4.6-1
libglade-java-2.8.2-2
libgnome-java-2.8.2-1
Comment 8 Ben Konrath 2004-12-14 10:46:22 EST
Good to hear. Closing bug.

Note You need to log in before you can comment on or make changes to this bug.